player_laser_geom Struct Reference

Request/reply: Get geometry. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose3d_t | pose
| Laser pose, in robot cs (m, m, m, rad, rad, rad). More...
player_bbox3d_t | size
| Laser dimensions (m, m, m). More...

## Detailed Description

Request/reply: Get geometry.

The laser geometry (position and size) can be queried by sending a null PLAYER_LASER_REQ_GET_GEOM request.

## Member Data Documentation

player_pose3d_t player_laser_geom::pose

Laser pose, in robot cs (m, m, m, rad, rad, rad).

player_bbox3d_t player_laser_geom::size

Laser dimensions (m, m, m).

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45